=== debian/changelog ===
avogadro (1.0.3-5) unstable; urgency=low

  * debian/control (Uploaders): Removed Jordan Mantha. Thanks for your work.
    (Build-Depends): Use libglew-dev.
    (Depends): Let libavogadro-dev depend on libglew-dev.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 06 Jun 2012 22:54:58 +0200

avogadro (1.0.3-4) unstable; urgency=low

  [ Michael Banck ]
  * Acknowledge NMU. 
  * debian/patches/hurd_ftbfs.patch: New patch, fixing build on hurd-i386,
    thanks to Pino Toscano.

  [ Daniel Leidert ]
  * debian/control (Standards-Version): Bumped to 3.9.3.
    (Build-Depends): Added versioned dependency on python-numpy.
  * debian/rules (override_dh_python2): Added call to dh_numpy to fix lintian
    error.
  * debian/upstream: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 04 Jun 2012 21:55:51 +0200

avogadro (1.0.3-3.1) unstable; urgency=low

  * Non-Maintainer Upload.
  
  * patches/boost148.patch: New.  Work around moc limitation.  Closes:
    #653625.

 -- Steve M. Robbins <smr@debian.org>  Sat, 28 Jan 2012 05:36:13 -0600

avogadro (1.0.3-3) unstable; urgency=low

  * debian/control (Build-Depends): Added libgl2ps-dev.
  * debian/patches/link_to_libgl2ps.patch: Added.
    - Link with -lgl2ps instead of compiling and linking the internal copy.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 05 Dec 2011 22:20:31 +0100

avogadro (1.0.3-2) unstable; urgency=low

  [ Michael Banck ]
  * debian/copyright: Explicitly state the 3-clause BSD license for the cmake
    module files.
  * debian/rules, debian/control: Convert to dh_python2, thanks to Barry
    Warsaw (Closes: #616742)
  * debian/patches/nwchem_input_ccsd.patch: New patch, fixes NWChem input
    extension input file generation for the CCSD method.

  [ Daniel Leidert ]
  * debian/avogadro.install: Install missing avopkg tool.
  * debian/compat: Increased dh compatibility level.
  * debian/control: Set X-Python-Version to 'current'. Use wrap-and-sort
    for *Depends* and Uploaders.
    (Build-Depends): Removed cdbs and patchutils. Increased required debhelper
    version.
    (Standards-Version): Bumped to 3.9.2.
    (Vcs-Browser): Point to real location.
    (Description): Fixed a typo reported by lintian.
    (Conflicts): Changed conflicts-with-version warning into Breaks.
  * debian/copyright: Minor update.
  * debian/pycompat: Dropped obsolete file.
  * debian/rules: Rewritten for debhelper 7.
  * debian/patches/nwchem_input_ccsd.patch: Added patch documentation.
  * debian/patches/series: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 04 Dec 2011 23:59:34 +0100

avogadro (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/install_translations.patch: Removed, applied upstream.
  * debian/source/format: New file, switching to 3.0/quilt.

 -- Michael Banck <mbanck@debian.org>  Mon, 25 Apr 2011 19:26:20 +0200

avogadro (1.0.2-1) unstable; urgency=low

  * New upstream release.
    + Fixes crash on Undo after erasing of any atom with attached Hs 
      (Closes: #602388).
  * debian/avogadro.install: Explicitly install /usr/bin/avogadro, avoiding
    avopkg.
  * debian/libavogadro-dev.install: Move avogadro.prf from /usr/features to
    /usr/share/qt4/mkspecs.
  * debian/patches/install_translations.patch: New file, fix installation of
    translations, taken from upstream.
  * debian/control (Build-Depends): Removed sip4.
  * debian/control (Standards-Version): Bumped to 3.9.1.

 -- Michael Banck <mbanck@debian.org>  Sun, 24 Apr 2011 01:00:16 +0200

avogadro (1.0.1-3) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/avogadro.install: Install manual pages from upstream.
  * debian/avogadro.manpages,
    debian/avogadro.1: Dropped in favour of upstream manual pages.
  * debian/libavogadro-dev.install: Install .prf file for QMake projects.

  [ Michael Banck ]
  * debian/rules (DEB_DH_GENCONTROL_ARGS_python-avogadro): Replace
    python$(PYVER)-sip4 by python$(PYVER)-sip (Closes: #581972). 
  * debian/rules (binary-install/python-avogadro): Added dh_sip.
  * debian/control (python-avogadro/Depends): Added ${sip:Depends}.
  * debian/control (Build-Depends): Replaced python-sip4-dev by
    python-sip-dev.

 -- Michael Banck <mbanck@debian.org>  Wed, 19 May 2010 18:35:43 +0200

avogadro (1.0.1-2) unstable; urgency=low

  * debian/rules (DEB_CMAKE_EXTRA_FLAGS): Define PYTHON_EXECUTABLE,
    PYTHON_LIBRARY and PYTHON_INCLUDE_DIR in order to make sure the correct
    version of python is used in case several are co-installed, thanks to
    Jakub Wilk (Closes: #577439).

 -- Michael Banck <mbanck@debian.org>  Fri, 07 May 2010 15:05:07 +0200

avogadro (1.0.1-1) unstable; urgency=low

  * New upstream release.
    + Fixes crash when importing PDB files via network (Closes: #570230).
  * debian/patches/sip_4.10_support.patch: Removed, applied upstream.
  * debian/control (Build-Depends):  Bump required libqt4-dev version to
    4.5.0, as per CMakeLists.txt.

 -- Michael Banck <mbanck@debian.org>  Wed, 05 May 2010 17:57:59 +0200

avogadro (1.0.0-3) unstable; urgency=low

  [ Jordan Mantha ]
  * debian/python-avogadro.install: use wildcard to catch both site-packages
    and dist-packages python directories.

  [ Michael Banck ]
  * debian/patches/sip_4.10_support.patch: New patch, recognize new SIP
    version, taken from upstream (closes: #569438).

 -- Michael Banck <mbanck@debian.org>  Sat, 20 Feb 2010 23:33:54 +0100

avogadro (1.0.0-2) unstable; urgency=low

  [ Michael Banck ]
  * debian/libavogadro0.install: Wildcard the API directory.
  * debian/libavogadro-dev.install: Likewise.
  * debian/libavogadro0.install: Renamed to ...
  * debian/libavogadro1.install: ... this.
  * debian/control (libavogadro0): Renamed package to libavogadro1.  Update
    all references.
  * debian/rules: Likewise.
  * debian/control (libavogadro1): Replace and Conflict with libavogadro0.
  * debian/control (avogadro-data): New package.

