=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

LDFLAGS ?=
LDFLAGS += -Wl,-z,defs
LDFLAGS += -Wl,--as-needed

PYTHON_VERSION := $(shell pyversions -dv)

%:
	dh $@ --with python2 --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	-DENABLE_GLSL=ON \
	-DENABLE_RPATH=OFF \
	-DENABLE_UPDATE_CHECKER=OFF \
	-DPYTHON_EXECUTABLE=/usr/bin/python \
	-DPYTHON_LIBRARY=/usr/lib/libpython$(PYTHON_VERSION).so \
	-DPYTHON_INCLUDE_DIR=/usr/include/python$(PYTHON_VERSION)/

override_dh_install:
	dh_install --list-missing

override_dh_clean:
	dh_clean conf.log conf.pri

override_dh_python2:
	dh_python2 -ppython-avogadro
	dh_numpy -ppython-avogadro
	dh_sip

override_dh_gencontrol:
	dh_gencontrol -- -V'pyavo:Depends=python$(PYTHON_VERSION)-numpy, python$(PYTHON_VERSION)-qt4, python$(PYTHON_VERSION)-sip'
