=== debian/watch ===
# See uscan(1) for format

version=3
http://sf.net/avogadro/avogadro-([\d\.]+)\.tar.gz
